package javabook.ch09;
import java.sql.*;
import java.io.*;

class PersonInfo {

    private String driver = "sun.jdbc.odbc.JdbcOdbcDriver";
    private String url = "jdbc:odbc:Person";
    private Connection con = null;
    private Statement stmt = null;
    private ResultSet rs = null;

    private int m_iNum;
    private String strId, strName;

    PersonInfo() {
        initConnectDB();
    }

    void display()throws IOException {
        System.out.println("1.ȸ  2.  ");
        BufferedReader in = new BufferedReader(new InputStreamReader(System.in));
        m_iNum = Integer.parseInt(in.readLine());
        if(m_iNum == 1)
            select();
        else if(m_iNum == 2)
            delete();

    }

    void delete()throws IOException {
        BufferedReader in = new BufferedReader(new InputStreamReader(System.in));
        System.out.print("  ̵ Է : ");
        String strId = in.readLine();
        String sql = "Delete from profile where id='" + strId + "'";
        try {
            stmt.executeUpdate(sql);
            System.out.println("ͺ̽   !");
            select();

        }
        catch(Exception e) {
            System.out.println("Select error!");
        }
    }

    void select() {
        String sql = "Select * from profile";
        try {
            rs = stmt.executeQuery(sql);
            System.out.println("id\t\tname");
            while(rs.next()) {
                System.out.print(rs.getString("id") + "\t\t");
                System.out.println(rs.getString("name") + "\t\t");
            }
        }
        catch(Exception e) {
            System.out.println("Select error!");
        }

    }

    void initConnectDB() {
        try {
            Class.forName(driver);
            con = DriverManager.getConnection(url, "master","java");
            stmt = con.createStatement();
            System.out.println("ͺ̽  !");
        }
        catch(Exception e) {
            System.out.println("ͺ̽  !");
        }

    }

    void disconnectDB() {
        try {
            if(stmt != null) stmt.close();
            if(con != null) con.close();
        }
        catch(Exception e) {
            System.out.println(e.getMessage());
        }
    }

}

public class JDBCTotalExam {
    public static void main(String[] args) throws IOException {
        PersonInfo p = new PersonInfo();
        p.display();
        p.disconnectDB();
    }

}